Get an SDK Git connection's pull requests

View as Markdown

Lists all SDK update pull requests for the Git connection, in order of newest first by its updatedAt property.

Note:

Direct push requests to the base branch are not returned in the response if a Git connection is configured to push only some changes directly to a base branch.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

sdkGitConnectionIdstringRequired
The Git connection's ID.

Query parameters

statusenumOptional
Filter results by pull request status.
Allowed values:
cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

limitintegerOptional<=25Defaults to 25
The maximum number of rows to return in the response, up to a maximum value of 25. Any value greater than 25 returns a 400 Bad Request response.

Response

Successful Response
datalist of objects
A list of SDK update pull requests on the Git connection.
metaobject
The response's meta information for paginated results.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error